package com.bizmatics.mhfire.service;

import com.bizmatics.mhfire.model.DeviceInfo;
import com.bizmatics.common.mvc.base.CrudService;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备心跳 服务类
 * </p>
 *
 * @author ya
 * @since 2021-11-25
 */
public interface DeviceInfoService extends CrudService<DeviceInfo> {


    /**
     * 电量趋势
     * @param deviceCode 设备编号
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    List<Map<String,Object>> elIco(String deviceCode, Date startTime,Date endTime);

}
